#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-k9OXqG4dmRBMctQqtDvyC-dns-internal
key:                  dns-4.1.1-k9OXqG4dmRBMctQqtDvyC-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  7550d9c4735f0580c642f3a7eb245097
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-k9OXqG4dmRBMctQqtDvyC-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-C7wSBqUZtbTIGwzJcB5Zmf
    attoparsec-0.14.4-Ls3KkFW9Y1ID7Dl0hM2meR
    auto-update-0.1.6-4bmxDu419JEiU7Wq1Q2th base-4.16.4.0
    base16-bytestring-1.0.2.0-AK96RZYr55lHVf4WSwGA81
    base64-bytestring-1.2.1.0-EN8wQYcxk0e9hsUIf9btXq
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-I46wme4HSBgIh3yrnsqYFO
    containers-0.6.5.1 cryptonite-0.30-5A8Vq3nGwUqE8nWuiJzEIE
    hourglass-0.2.12-2y6awRvTigL77J1YUpKa3u
    iproute-1.7.14-GxARIHtHcP1DzCGFmPg2VC mtl-2.2.2
    network-3.1.4.0-9o776rElF80EJr5kgfplYq
    psqueues-0.2.8.0-FBlNLTCwyWS8uG4Pqandst

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-Au5SJktwTH86VYseAnY1RI
key:                  dns-4.1.1-Au5SJktwTH86VYseAnY1RI
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  d0d8f749e68434905da2cc1a7dd0042a
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-Au5SJktwTH86VYseAnY1RI
depends:
    array-0.5.4.0 async-2.2.5-C7wSBqUZtbTIGwzJcB5Zmf
    attoparsec-0.14.4-Ls3KkFW9Y1ID7Dl0hM2meR
    auto-update-0.1.6-4bmxDu419JEiU7Wq1Q2th base-4.16.4.0
    base16-bytestring-1.0.2.0-AK96RZYr55lHVf4WSwGA81
    base64-bytestring-1.2.1.0-EN8wQYcxk0e9hsUIf9btXq
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-5A8Vq3nGwUqE8nWuiJzEIE
    dns-4.1.1-k9OXqG4dmRBMctQqtDvyC-dns-internal
    hourglass-0.2.12-2y6awRvTigL77J1YUpKa3u
    iproute-1.7.14-GxARIHtHcP1DzCGFmPg2VC mtl-2.2.2
    network-3.1.4.0-9o776rElF80EJr5kgfplYq
    psqueues-0.2.8.0-FBlNLTCwyWS8uG4Pqandst

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

